Bug 7677 - ipac-ng полностью неработоспособен с новыми iptables
: ipac-ng полностью неработоспособен с новыми iptables
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/ipac-ng)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-14 19:55 by
Modified: 2010-09-28 13:32 (History)


Attachments
new ipac-ng (200.20 KB, application/x-rpm)
2005-08-17 19:11, Andrew Kornilov
no flags Details
latest ipac-ng (201.08 KB, application/x-rpm)
2005-08-17 21:35, Andrew Kornilov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-14 19:55:28
Потратив полдня на изучение их кода, сделав несколько патчей, я окончательно
убедился (с помощью Sergey Vlasov), что ipac-ng неработоспособен. Они
умудрились
засунуть код iptables себе в программу (вместо использования iptables-devel) и
работает это все только с iptables-1.2.x. С новыми полное несовпадение API и,
как следствие, неработоспособность. 
Есть только три выхода:
1. Просить разработчиков переписать все правильно
2. Попытаться запатчить самому
3. Выкинуть это из Сизифа

Если есть желание, то могу все разъяснить подробно.
------- Comment #1 From 2005-08-14 20:00:38 -------
Опять же Sergey Vlasov нашел пост на sf.net, в котором есть патч, исправляющий
это все:
http://sourceforge.net/mailarchive/forum.php?thread_id=7178113&forum_id=35808
Сейчас проверю, если все ОК, то сообщу.
------- Comment #2 From 2005-08-15 16:18:26 -------
(In reply to comment #1)
> Опять же Sergey Vlasov нашел пост на sf.net, в котором есть патч, исправляющий
> это все:
> http://sourceforge.net/mailarchive/forum.php?thread_id=7178113&forum_id=35808
> Сейчас проверю, если все ОК, то сообщу.
В общем, патч неполные, долбанный sf.net обрезал его. Автору написал в аське и
email, на первую не ответил, на второе вернулся отлуп :(
------- Comment #3 From 2005-08-17 19:11:00 -------
Created an attachment (id=1059) [details]
new ipac-ng

Эта версия вроде как работает
------- Comment #4 From 2005-08-17 19:11:41 -------
(In reply to comment #3)
> Created an attachment (id=1059) [edit] [details]
> new ipac-ng
> 
> Эта версия вроде как работает

Сорри, забыл подписать. Поверите на слово? :)
------- Comment #5 From 2005-08-17 19:23:55 -------
И еще:
1. Желательно собрать более полную версию, с наличием сервиса ipac и каталогов
/var/lib/ipac на случай использования gdbm-баз, а не sql (все это можно взять из
чужих сборок,я из FC взял)
2. Для файла /etc/ipac-ng/ipac.conf нужно поменять права на 600, там же хранится
пароль к базе.
------- Comment #6 From 2005-08-17 21:35:49 -------
Created an attachment (id=1060) [details]
latest ipac-ng

Обнаружились еще баги в ipac-ng, в этой версии устранил еще одно место в
обработке интерфейсов, теперь корректно поддерживаются интерфейсы длиной до
IFNAMSIZE (сейчас это 16 символов). Раньше поддержка частично у них была, но не
работала. Замучался искать во всем этом коде :-E
------- Comment #7 From 2006-02-22 23:37:28 -------
Гриш, а тебе этот пакет вообще ещё нужен? :-)
------- Comment #8 From 2006-12-08 12:14:28 -------
Так понимаю, что не нужен.  Андрюш, если ещё нужен тебе -- починяй.
------- Comment #9 From 2006-12-08 12:33:20 -------
Ну уже не нужен, как таковой. Надо глянуть, какой сейчас в Сизифе и залить
исправленный, если он там старый.
------- Comment #10 From 2006-12-08 12:36:39 -------
Ну попроси у incoming NMU, раз уж всё равно исправил.  Чего оно здесь будет
пылиться.
------- Comment #11 From 2006-12-08 13:16:37 -------
Такс, я займусь им. Не хочется заливать текущий, добавлю еще init-скрипт как
минимум и /var/lib хозяйство, как у других было.
------- Comment #12 From 2008-10-18 23:29:29 -------
orphaned
------- Comment #13 From 2010-09-26 13:23:36 -------
2 hiddenman: ыппарентли занялся другим?
------- Comment #14 From 2010-09-27 13:41:47 -------
(В ответ на комментарий №13)
> 2 hiddenman: ыппарентли занялся другим?
Да что-то этот ipac вроде давно умер, нет разве?
------- Comment #15 From 2010-09-27 19:48:47 -------
(усиленно работая лопатой) Так и запишем.
------- Comment #16 From 2010-09-27 20:04:09 -------
(В ответ на комментарий №15)
> (усиленно работая лопатой) Так и запишем.
Хотя, зашел на сайт проекта:

#
File released: /ipac-ng/1.34/ipac-ng-1.34.tar.bz2

posted 15 days ago


Может таки живо?
------- Comment #17 From 2010-09-28 13:32:10 -------
Ну если оно тебе нужно и глючит как положено -- оживи :)